"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createKit_Fail = void 0;
const errors_1 = require("../errors");
function createKit_Fail(ce) {
    return {
        fail: function (...args) {
            ce.reporter.fail(...args);
            throw (0, errors_1.createExtError)(new Error(args.join(" ")), { hide: true });
        }
    };
}
exports.createKit_Fail = createKit_Fail;
