import { ActionEnv, Dict } from "../actions/interfaces";
import { Reporter } from "../reporter";
export interface IExternalOptions {
    rulePath?: string;
    cwd?: string;
    jCmd?: number;
    verbosity?: number;
}
export declare class VerdaConfig {
    rulePath: string;
    cwd: string;
    env: Dict<string | undefined>;
    journal: string;
    objectives: string[];
    jCmd: number;
    verbosity: number;
    reporter: Reporter;
    createActionEnv(): ActionEnv;
    constructor(options: IExternalOptions);
    bind(options: IExternalOptions): void;
}
