export declare type IpcMessage = ReadyMessage | LoadedMessage | ReturnMessage | ErrorMessage | CallErrorMessage;
export declare type ReadyMessage = {
    directive: "ready";
};
export declare type LoadedMessage = {
    directive: "loaded";
};
export declare type ReturnMessage = {
    directive: "return";
    result: any;
};
export declare type ErrorMessage = {
    directive: "error";
    reason: string;
};
export declare type CallErrorMessage = {
    directive: "callError";
    message?: string;
    reason: string;
};
