export interface SpinnerTextSource {
    getText(): string;
}
export default class Spinner {
    textSource: SpinnerTextSource | null;
    private lastTextSize;
    private frame;
    private frames;
    private interval;
    private enabled;
    private currentFrameWritten;
    private id;
    private stream;
    private outputIsTty;
    clear(): void;
    private getText;
    nextFrame(): void;
    timerCallback(): void;
    start(): void;
    pause(): void;
    stop(): void;
    private textSize;
}
