"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtErrorProps = exports.createExtError = void 0;
const ExtErrorProp = Symbol(`Verda::ExtError::PropertySingle`);
function createExtError(err, ext) {
    return Object.assign(err, { [ExtErrorProp]: ext });
}
exports.createExtError = createExtError;
function getExtErrorProps(err) {
    if (!err)
        return undefined;
    return err[ExtErrorProp];
}
exports.getExtErrorProps = getExtErrorProps;
